{% extends "cfp/event/submission_base.html" %}

{% load bootstrap4 %}
{% load i18n %}
{% load orga_edit_link %}
{% load rich_text %}
{% load rules %}
{% load static %}

{% block cfp_header %}
    <link rel="stylesheet" type="text/css" href="{% static "pretalx_roompref/roompref.css" %}" />
{% endblock %}

{% block inner %}
    <div class="d-flex">
        <h2>{% trans title %}</h2>
        {% has_perm 'orga.edit_cfp' request.user request.event as can_edit_cfp %}
        {% if can_edit_cfp %}{% orga_edit_link request.event.cfp.urls.editor %}{% endif %}
    </div>
    <p>
        {% trans text %}
    </p>
    <div class="form-group">
    {% for field in form %}
        {% if field.name == rooms_question_id %}
        <label class="col-md-3 col-form-label">{% trans "What room(s) would you prefer to use ?" %}<br><span class="optional">{% trans "Optional" %}</span></label>
        <div class="col-md-9" id="roomselect">
            <div class="btn-group-toggle" data-toggle="buttons" id="id_{{rooms_question_id}}">
                {% for room in rooms %}
                        <label class="btn btn-outline-primary" for="id_{{rooms_question_id}}_{{forloop.counter0}}">
                            <input class="" id="id_{{rooms_question_id}}_{{forloop.counter0}}" 
                                   name="{{rooms_question_id}}" placeholder="" title="TODO"
                                   type="checkbox" value="{{room.1.pk}}" autocomplete="off">
                            <div class="room-head row">
                                <h5 class="col-sm-10">{{ room.0.name }}</h5>
                                <p class="badge badge-pill badge-light">{{ room.0.capacity }} {% trans "persons" %}</p>
                            </div>
                            <div class="room-descr">
                              {{ room.0.description|rich_text }}
                              <h6 class="room-speaker-info">{% trans "To know" %}</h6>
                              {{ room.0.speaker_info|rich_text }}
                            </div>
                        </label>
                {% endfor %}
            </div>
        </div>
        {% else %}
            {% bootstrap_field field layout='event' %}
        {% endif %}
    {% endfor %}
    </div>
{% endblock %}
